Skip to main content

PATCH Update a CI Component

This API is used to update the details of a CI component.

URL: http://{{server-url}}/api/v1/cmdb/ci/discoveryComponent/{id}

Example: http://{{server-url}}/api/v1/cmdb/ci/discoveryComponent/14

Header:

Authorization: Bearer/API Key

Body:

{
"type": "Bios",
"componentType": "bios_component",
"name": "Windows Laptop",
"manufacturer": "Phoenix Technologies LTD",
"serialNumber": "12345",
"customField":{
"Bios Asset":"asset",
"DesktopCMDB":"desktopCmdb",
"LaptopCmdb":"alptio"
}
}

Example (Request and Response)

Request

curl --location --request PATCH 'http://172.16.11.157/api/v1/cmdb/ci/discoveryComponent/14' \
--header 'Authorization: Apikey s3THjh8WdIbG6%2F5J%40%2B%2Fm6lV9LpOIAH4LOAMMIqHE%2B7BKqyb9zbFamUHSEnnH8nCk4NUN0jQ%3D%3D' \
--header 'Content-Type: application/json' \
--data '{
"type": "Bios",
"componentType": "bios_component",
"name": "Windows Laptop",
"manufacturere": "Phoenix Technologies LTD",
"serialNumber": "12345",
"customField":{
"Bios Asset":"asset",
"DesktopCMDB":"desktopCmdb",
"LaptopCmdb":"alptio"
}
}'

Response

{
"type": "Bios",
"id": 14,
"ciId": 14,
"componentType": "bios_component",
"name": "Windows Laptop",
"biosName": "Windows Laptop",
"manufacturerName": "Phoenix Technologies LTD",
"serialNumber": "12345"
}